%{?nodejs_find_provides_and_requires}

%global packagename portfinder

# Tests disabled because vows hangs after running the tests, even
# thought they appear to have passed.
%global enable_tests 0

Name:		nodejs-portfinder
Version:	1.0.5
Release:	1%{?dist}
Summary:	A simple tool to find an open port on the current machine

License:	MIT
URL:		https://github.com/indexzero/node-portfinder
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(async)
BuildRequires:	npm(glob)
BuildRequires:	npm(mkdirp)

%if 0%{?enable_tests}
BuildRequires:	npm(vows)
%endif

%description
A simple tool to find an open port on the current machine


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/vows test/*-test.js --spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Tue Aug  2 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.5-1
- Initial packaging
